Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
toomasy
Pingviini külastaja
Pingviini külastaja


Vanus: 36
Liitunud: 25.08.2005
Postitused: 29
Asukoht: Tallinn/Põltsamaa
Distributsioon: Debian Lenny
blank.gif
postituspostitatud: 07.08.2006, 18:24  postituse pealkiri:  ID-kaart  

Üritan Fedora Core 5 -le ID-kaardi lugejat tutvustada, aga kuidagi ei õnnestu. Alustasin Ideelabor-st enda arust tegin kõik nii nagu õpetatud kuid asi tööle ei hakka.
Kui annan käsu opensc-tool -l, mis siis peaks näitama lugejat saan vastuseks
Kood:
Nr.    Driver     Name
0      pcsc       Generic CCID Reader (21120535128145) 00 00

Kuigi tegelt tegu SCR 3310 lugejaga. (SEB Ühispanga jagatud).
Üritades serte vaadata käsuga pkcs15-tool -c
Saan vastuseks
Kood:
PKCS#15 initialization failed: Transmit failed

Samas kirjutab opensc-debug.log samal ajal kui üritan serte vaadata
Kood:

reader-pcsc.c:237:pcsc_transmit: unable to transmit
apdu.c:394:do_single_transmit: unable to transmit APDU
card-mcrd.c:690:do_select: APDU transmit failed: Transmit failed
card-mcrd.c:1018:mcrd_select_file:   result=-1107, ef=0, curpath=
card.c:234:sc_disconnect_card: called
card.c:249:sc_disconnect_card: returning with: 0
ctx.c:728:sc_release_context: called

ja opensc-error.log-i kirjutab
Kood:

pkcs15-esteid.c:70:sc_pkcs15emu_esteid_init: select esteid PD failed: Transmit failed
pkcs15.c:502:sc_pkcs15_bind_internal: unable to enumerate apps: Transmit failed
pkcs15.c:711:sc_pkcs15_bind: returning with: Transmit failed
card-mcrd.c:814:select_file_by_path: unable to select MF: Transmit failed
card.c:563:sc_select_file: returning with: Transmit failed

Kellegil ideid?


toomasy
Pingviini külastaja
Pingviini külastaja


Vanus: 36
Liitunud: 25.08.2005
Postitused: 29
Asukoht: Tallinn/Põltsamaa
Distributsioon: Debian Lenny
blank.gif
postituspostitatud: 10.08.2006, 22:21  postituse pealkiri:  (teema puudub)  

Nüüd sain asja niikaugele, et serte ka näitab. Kuid firefoxiga autentimine ei toimi. Kuigi kui vaatan Edit --> Perferences --> Advanced --> Security Devices --> Siis seal opensc driver olemas ja sisse saan ka id-kaardi paroolidega logida.
On keegi ID-kaardi linuxi all korralikult tööle saanud?


jrepan
Moderaator
Moderaator



Liitunud: 18.08.2005
Postitused: 317

Distributsioon: Arch Linux
blank.gif
postituspostitatud: 11.08.2006, 18:24  postituse pealkiri:  (teema puudub)  

Mul töötab(sama lugeja, mis sul)
Kas sa seda õpetust ka lugesid?


toomasy
Pingviini külastaja
Pingviini külastaja


Vanus: 36
Liitunud: 25.08.2005
Postitused: 29
Asukoht: Tallinn/Põltsamaa
Distributsioon: Debian Lenny
blank.gif
postituspostitatud: 13.08.2006, 18:30  postituse pealkiri:  (teema puudub)  

Jah, sealt ma endale Firefoxi jaoks id-kaardi mooduli laadisin.


klistjan
Pingviini külastaja
Pingviini külastaja



Liitunud: 11.08.2006
Postitused: 17
Asukoht: Tallinn
Distributsioon: ubuntu
estonia.gif
postituspostitatud: 13.08.2006, 20:45  postituse pealkiri:  (teema puudub)  

Kas sa sealt õpetusest selle viimase osa tegid?:

Linux(x86) ja Digodoci portaal (v1.2)/U-net

* Kopeeri ${MOZILLA_HOME}/plugins (näiteks /usr/lib/mozilla-firefox/plugins) kataloogi libpkcs11wrapper.so fail, mille leiad siit: http://ideelabor.ee/download/esteid/digidoc/pkcs11wrapper-linux.tar.gz

NB! See plugin crashib uuemate java virtuaalmasinatega (1.5.0_06 kaasa arvatud). Loodetavasti saab varsti uuenduse, jälgige reklaami!

* Loo sümlink opensc-pkcs11.so failile (opensc-pkcs11.so võib asuda ka /usr/lib/pkcs11 kataloogis):

sudo ln -sf /usr/lib/opensc-pkcs11.so /usr/lib/libesteid-pkcs11.so
sudo ln -sf /usr/lib/opensc-pkcs11.so /usr/lib/libopensc-pkcs11.so


toomasy
Pingviini külastaja
Pingviini külastaja


Vanus: 36
Liitunud: 25.08.2005
Postitused: 29
Asukoht: Tallinn/Põltsamaa
Distributsioon: Debian Lenny
blank.gif
postituspostitatud: 22.08.2006, 18:45  postituse pealkiri:  (teema puudub)  

Vahepeal ei ole aega olnud asjaga tegeleda....
Nüüd siis sain asja nii kaugele, et kui üritan id-kaardiga kuhugi lehele siseneda, siis küsitakse et millist serti soovid kasutada ja peale selle ei juhtu midagi. Ainult Unet.ee annab veateate http://nool.mine.nu/tomm/viga.png.
Kas viga siis selles pluginas mis crashib või mingi muu kala sees ?


Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group